Table of Contents

## Name

XDrawPoint, XDrawPoints, XPoint - draw points and points structure

## Syntax

int XDrawPoint(Display *display, Drawable d, GC
  gc, int x, int y);
int XDrawPoints(Display *display, Drawable d, GC
  gc, XPoint *points, int npoints, int mode);

## Arguments

d
  Specifies the drawable.
display
  Specifies the connection to the X server.
gc
  Specifies the GC.
mode
  Specifies the coordinate mode. You can pass CoordModeOrigin or CoordModePrevious.
npoints
  Specifies the number of points in the array.
points
  Specifies an array of points.
x
y
  Specify the x and y coordinates where you want the point drawn.

## Description

The XDrawPoint function uses the foreground pixel and function components of the GC to draw a single point into the specified drawable; XDrawPoints draws multiple points this way. CoordModeOrigin treats all coordinates as relative to the origin, and CoordModePrevious treats all coordinates after the first as relative to the previous point. XDrawPoints draws the points in the order listed in the array.

Both functions use these GC components: function, plane-mask, foreground, subwindow-mode, clip-x-origin, clip-y-origin, and clip-mask.

XDrawPoint can generate BadDrawable, BadGC, and BadMatch errors. XDrawPoints can generate BadDrawable, BadGC, BadMatch, and BadValue errors.

## Structures

The XPoint structure contains:

    0
    0>=40 .vs 0u
    0<=39 .vs 0p
    typedef struct {
        short x, y;
    } XPoint;

All x and y members are signed integers. The width and height members are 16-bit unsigned integers. You should be careful not to generate coordinates and sizes out of the 16-bit ranges, because the protocol only has 16-bit fields for these values.

## Diagnostics

BadDrawable
  A value for a Drawable argument does not name a defined Window or Pixmap.
BadGC
  A value for a GContext argument does not name a defined GContext.
BadMatch
  An InputOnly window is used as a Drawable.
BadMatch
  Some argument or pair of arguments has the correct type and range but fails to match in some other way required by the request.
BadValue
  Some numeric value falls outside the range of values accepted by the request. Unless a specific range is specified for an argument, the full range defined by the argument's type is accepted. Any argument defined as a set of alternatives can generate this error.

## See Also

XDrawArc(3X11) , XDrawLine(3X11) , XDrawRectangle(3X11)
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- Structures
- Diagnostics
- See Also